Page MenuHomePhabricator

Convert OpenStackManager to use extension registration
Closed, ResolvedPublic

Description

The OpenStackManager extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:33 PM
Aklapper triaged this task as Low priority.Mar 23 2015, 5:04 PM
Liuxinyu970226 set Security to None.
Reedy lowered the priority of this task from Low to Lowest.Mar 29 2017, 2:51 PM
Reedy added a subscriber: Reedy.Mar 29 2017, 2:58 PM

Due to T161553, this probably isn't worth doing

Liuxinyu970226 closed this task as Declined.Jan 7 2018, 3:29 AM

Decline per @Reedy ?

Yay let's archive that.

Legoktm reopened this task as Open.Jan 7 2018, 3:38 AM

Let's wait until that actually happens before closing this please.

Reedy closed this task as Declined.Nov 9 2019, 8:34 PM

Extension is being gutted. This is definitely not happening

Reedy reopened this task as Open.Nov 10 2019, 4:03 AM

Extension is being gutted. This is definitely not happening

Actually a shadow of its former self will be staying around. Or it may be forked into another extension....

Change 550006 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/OpenStackManager@master] Convert OpenStackManager to extension registration

https://gerrit.wikimedia.org/r/550006

Change 550006 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Convert OpenStackManager to extension registration

https://gerrit.wikimedia.org/r/550006

Reedy closed this task as Resolved.Nov 10 2019, 6:20 PM
Reedy claimed this task.